{% extends 'base.html.twig' %}


{% block stylesheets %}
<link rel="stylesheet" type="text/css" href="{{asset('css/animate.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('css/style.css')}}">
{% endblock %}

{% block body %}



  <ul>
    <li style="float: right;"><a href="/logout">Logout</a></li>
    <li style="float: right;"><a onclick="instruction()">Instruction</a></li>
    <li><a id="createlobby" onclick="createlobby(this)">Create Room</a></li>
    <li><a href="/lobby">Refresh</a></li>
  </ul>
<div class="backgroundfull" style="background-image: url({{asset('images/bglobby.gif')}} ); background-size: cover; z-index: -1"></div>



<div style="max-height: 100px">
<table class="tablelobby">
    <th>Lobby ID</th>
    <th>Name</th>
    <th>Action</th>
    {% set cnt = 0 %}
    {% for value in data %}
        <tr  id="tr{{value.lobbyid}}">
        <td>{{value.lobbyid}}</td>
        <td>{{ign[cnt]}}</td>  
        <td><a id="{{value.lobbyid}}" data-password="{{value.lobbypassword}}" onclick="joinlobby(this)">Join</a></td>
        </tr>
           {% set cnt = cnt + 1 %}

    {% endfor %}
{% if cnt == 0 %}
    <tr><td></td><td></td><td></td></tr>
    <tr><td></td><td>Nothing</td><td></td></tr>
{% endif %}


</table>

<div class="modalall" style="background: rgba(0,0,0,0.5);display: none">
  <div class="modalContent" id="content">
    
  </div>
</div>

<div id="snackbar">
  
</div>
<audio id="myAudio">
  <source src="{{asset('audio/audio3.mp3')}}" type="audio/mpeg">
</audio>

<script type="text/javascript" src="{{asset('js/jquery.min.js')}}"></script>
<script type="text/javascript" src="{{asset('js/responsivevoice.js')}}"></script>
<script type="text/javascript">
var myAudio = document.getElementById("myAudio"); 
myAudio.addEventListener('ended', function() {
    this.currentTime = 0;
    this.play();
}, false);
myAudio.play();


var ignuser = "{{ignuser}}";


function instruction(){
  $('.modalall').css('display','block');  
  $('#content').html('<img style="width:1050px" src="' + "{{asset('images/instruction.png')}}" + '"><div><button class="submit" style="float:right" onclick="Close()">Close</button></div>');
}

var id;
    function createlobby(element){
      id = element;
      $('.modalall').css('display','block');
        $('#content').html('Room Password:<br><input type="password" class="passwordinput" id="password" placeholder="password"><br><div style="float: right" ><button class="submit" onclick="Save()">Create</button><button class="submit" onclick="Close()">Close</button></div></div>'); 
    }

    function Save(){
     lobby(id);
    }

    function Join(element){
     

     if(element.getAttribute('data-password') == $('#password').val()){
      lobby(element);
     }
     else{
                  $('#snackbar').html('<div id="warning" style="color: white;background:red;padding: 20px; border:2px solid white; border-radius: 10px;">Wrong Password</div>');
            
              setTimeout(function(){
                $('snackbar').html('');
              },1500);
     }

    }
    function Close(){
      $('.modalall').css('display','none');
    }

    function joinlobby(element){
      if(element.getAttribute('data-password') != ""){
        $('.modalall').css('display','block');   
        $('#content').html('Password:<br><input type="password" class="passwordinput" id="password" placeholder="password"><br><div style="float: right" ><button id="'+element.id+'" data-password="'+element.getAttribute('data-password')+'" class="submit" onclick="Join(this)">Join</button><button class="submit" onclick="Close()">Close</button></div></div>');
           
      }
      else{
        lobby(element);
      }
    }


    function lobby(element){
          $.ajax({
          url: '/ajaxRequestLobby',
          type: 'POST',
          dataType: 'json',
          data: {
            'LobbyID' : element.id,
            'password' : $('#password').val()
          },
          success: function(data){

            if(data == "joined"){
            window.location.replace('/choosetroops');
            }
            else if(data == "create"){
            window.location.replace('/Createlobby');
            }
            else if(data == "alreadytake"){
            $('#snackbar').html('<div id="warning" style="color: white;background:red;padding: 20px; border:2px solid white; border-radius: 10px;">Room is Full</div>');
            $('#tr'+element.id).addClass('animated fadeOutLeft');
              setTimeout(function(){
                $('#tr'+element.id).remove();
                $('snackbar').html('');
              },1500);
            }

          },
          error: function(xhr,status,error){
          //  alert(xhr.responseText);
          }
        });
    }


disable();
function disable(){
   $(window).on('keydown',function(event)
    {
    if(event.keyCode==123)
    {
        //alert('Entered F12');
        return false;
    }
    else if(event.keyCode == 116){
     return false;
   }
    else if(event.ctrlKey && event.keyCode == 116){
     return false;
   }
    else if(event.keyCode == 122){
        //f11
 return false;
   }
   else if(event.keyCode== 165)
   {
    alert('dsads');
   }
    else if(event.ctrlKey && event.shiftKey && event.keyCode==73)
    {
        //alert('Entered ctrl+shift+i');
        return false;  //Prevent from ctrl+shift+i
    }
    else if(event.ctrlKey && event.keyCode==73)
    {
        //alert('Entered ctrl+shift+i');
        return false;  //Prevent from ctrl+shift+i
    }
});
}

$(document).on("contextmenu",function(e)
{
//alert('Right Click Not Allowed');
e.preventDefault();
});
</script>
{% endblock %}
